<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderTestCLTreeExpViewBase from './ibizorder-test-cltree-exp-view-base.vue';

import view_treeexpbar from '@widgets/ibizorder/test-cltree-exp-viewtreeexpbar-treeexpbar/test-cltree-exp-viewtreeexpbar-treeexpbar.vue';
@Component({
    components: {
        view_treeexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderTestCLTreeExpView extends IBIZOrderTestCLTreeExpViewBase {

}
</script>